%global momorel 1
%global scimver 1.4.4
%global skimver 1.4.4
%global scim_canna_ver 0.2.0
%global artsver 1.5.1
%global qtver 3.3.5
%global kdever 3.5.1
%global qtdir %{_libdir}/qt3
%global kdedir /usr

Summary: skim-scim-canna is a scim-canna settings plugin for SKIM
Name: skim-scim-canna
Version: 1.0.0
Release: %{momorel}m
License: GPL
URL: http://sourceforge.jp/projects/scim-imengine/
Group: User Interface/X
%NoSource 0 http://downloads.sourceforge.jp/scim-imengine/18850/%{name}-%{version}.tar.gz 424a7f8358bbb753d365a8eb4009bdf5
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: skim >= %{skimver}, scim-canna >= %{scim_canna_ver}
BuildPreReq: qt-devel >= %{qtver}, arts-devel >= %{artsver}
BuildPreReq: kdelibs-devel >= %{kdever}, kdebase >= %{kdever}
BuildPreReq: scim-devel >= %{scimver}, skim >= %{skimver}
BuildPreReq: pkgconfig

%description
skim-scim-canna is a scim-canna settings plugin for SKIM.

%prep
%setup -q

# build fix
touch setupui/skimeditshortcutbutton.h

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/kde3/kcm_skimplugin_scim_canna.la
%{_libdir}/kde3/kcm_skimplugin_scim_canna.so
%{_datadir}/apps/skim/pics/scim-canna.png
%{_datadir}/config.kcfg/canna.kcfg
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/services/skimconfiguredialog/*.desktop

%changelog
* Sun Feb 19 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.0-1m)
- update 1.0.0

* Fri Feb  3 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-1m)
- initial package for Momonga Linux
